# @attrib https://en.wikipedia.org/wiki/Public_holidays_in_the_Philippines
holidays:
  PH:
    names:
      en: Philippines
    langs:
      - en
      - fil
    zones:
      - Asia/Manila
    dayoff: sunday
    days:
      01-01:
        _name: 01-01
      01-23:
        type: observance
        name:
          en: First Philippine Republic Day
          fil: Araw ng Unang Republika ng Pilipinas
      chinese 01-0-01:
        type: optional
        name:
          en: Chinese New Year
          fil: Bagong Taon ng mga Tsino
      02-02:
        type: observance
        _name: Constitution Day
      chinese 01-0-15:
        type: observance
        name:
          en: Lantern Festival
          fil: Piyesta ng mga Parol Tsino
      02-25:
        name:
          en: EDSA Revolution Anniversary
          fil: Anibersaryo ng Rebolusyon sa EDSA
        type: optional
        note: Non-working Day
      easter -3:
        _name: easter -3
      easter -2:
        _name: easter -2
      easter -1:
        _name: easter -1
        type: optional
        note: Non-working Day
      easter:
        _name: easter
      04-09:
        name:
          en: Day of Valor
          fil: Araw ng Kagitingan
      04-27:
        type: observance
        name:
          en: Lapu-Lapu Day
          fil: Araw ni Lapu-Lapu
      05-01:
        _name: 05-01
        name:
          en: Labour Day
          fil: Araw ng mga Manggagawa
      # TODO - Rule missing - day in May of the full moon:
      #   type: observance
      #   name:
      #     en: Vesak Day
      #     fil: Araw ng Bisyak
      06-12:
        _name: Independence Day
      06-19:
        type: observance
        name:
          en: José Rizal's birthday
          fil: Araw ng Kapanganakan ni José Rizal
        active:
          - from: 1961-01-01
        disable:
          - '2011-06-19'
      '2011-06-19':
        # Monday, June 20, 2011 was declared a special non-working holiday by President Benigno Aquino III for Rizal's 150th birth anniversary as requested by the National Historical Commission of the Philippines.
        name:
          en: José Rizal's birthday
          fil: Araw ng Kapanganakan ni José Rizal
      07-27:
        type: observance
        name:
          en: Iglesia ni Cristo Day
          fil: Araw ng Iglesia ni Cristo
      08-21:
        name:
          en: Ninoy Aquino Day
          fil: Araw ng Kabayanihan ni Ninoy Aquino
        type: optional
        note: Non-working Day
      1st monday before September:
        name:
          en: National Heroes' Day
          fil: Araw ng mga Bayani
      chinese 08-0-15:
        type: observance
        name:
          en: Mid-Autumn Festival
          fil: Piyestang Zhōngqiū Jié
      11-01:
        _name: 11-01
        type: optional
        note: Non-working Day
      11-02:
        _name: 11-02
        type: optional
        note: Non-working Day
      11-30:
        name:
          en: Bonifacio Day
          fil: Araw ng Kapanganakan ni Bonifacio
      12-08:
        _name: 12-08
        name:
          en: Feast of the Immaculate Conception of the Blessed Virgin Mary
          fil: Pagdiriwang ng Kalinis-linisang Paglilihi sa Mahal na Birheng Maria
        type: optional
        note: Non-working Day
      12-24:
        _name: 12-24
        type: optional
        note: Non-working Day
      12-25:
        _name: 12-25
      12-30:
        name:
          en: Rizal Day
          fil: Paggunita sa Kamatayan ni Dr. Jose Rizal
      12-31:
        _name: 12-31
        type: optional
        note: Non-working Day
      1 Muharram:
        type: observance
        _name: 1 Muharram
      12 Rabi al-awwal:
        type: observance
        _name: 12 Rabi al-awwal
      1 Shawwal:
        _name: 1 Shawwal
      10 Dhu al-Hijjah:
        _name: 10 Dhu al-Hijjah
    # states:
    #   '10':
    #     name: Northern Mindanao
    #     regions:
    #       BUK:
    #         name: Bukidnon
    #       CAM:
    #         name: Camiguin
    #       MSC:
    #         name: Misamis Occidental
    #       MSR:
    #         name: Misamis Oriental
    #   '11':
    #     name: Davao
    #     regions:
    #       COM:
    #         name: Compostela Valley
    #       DAO:
    #         name: Davao Oriental
    #       DAS:
    #         name: Davao del Sur
    #       DAV:
    #         name: Davao del Norte
    #       DVO:
    #         name: Davao Occidental
    #       SAR:
    #         name: Sarangani
    #       SCO:
    #         name: South Cotabato
    #   '12':
    #     name: Soccsksargen
    #     regions:
    #       LAN:
    #         name: Lanao del Norte
    #       NCO:
    #         name: Cotabato
    #       SUK:
    #         name: Sultan Kudarat
    #   '13':
    #     name: Caraga
    #     regions:
    #       AGN:
    #         name: Agusan del Norte
    #       AGS:
    #         name: Agusan del Sur
    #       DIN:
    #         name: Dinagat Islands
    #       SUN:
    #         name: Surigao del Norte
    #       SUR:
    #         name: Surigao del Sur
    #   '14':
    #     name: Muslim Mindanao
    #     regions:
    #       LAS:
    #         name: Lanao del Sur
    #       MAG:
    #         name: Maguindanao
    #       SLU:
    #         name: Sulu
    #       TAW:
    #         name: Tawi-Tawi
    #   '15':
    #     name: Cordillera Administrative
    #     regions:
    #       ABR:
    #         name: Abra
    #       APA:
    #         name: Apayao
    #       BEN:
    #         name: Benguet
    #       IFU:
    #         name: Ifugao
    #       KAL:
    #         name: Kalinga
    #       MOU:
    #         name: Mountain
    #   '40':
    #     name: Calabarzon
    #     regions:
    #       BTG:
    #         name: Batangas
    #       CAV:
    #         name: Cavite
    #       LAG:
    #         name: Laguna
    #       QUE:
    #         name: Quezon
    #       RIZ:
    #         name: Rizal
    #   '41':
    #     name: Mimaropa
    #     regions:
    #       MAD:
    #         name: Marinduque
    #       MDC:
    #         name: Occidental Mindoro
    #       MDR:
    #         name: Oriental Mindoro
    #       PLW:
    #         name: Palawan
    #       ROM:
    #         name: Romblon
    #   '00':
    #     name: Metro Manila
    #   '01':
    #     name: Ilocos
    #     regions:
    #       ILN:
    #         name: Ilocos Norte
    #       ILS:
    #         name: Ilocos Sur
    #       LUN:
    #         name: La Union
    #       PAN:
    #         name: Pangasinan
    #   '02':
    #     name: Cagayan Valley
    #     regions:
    #       BTN:
    #         name: Batanes
    #       CAG:
    #         name: Cagayan
    #       ISA:
    #         name: Isabela
    #       NUV:
    #         name: Nueva Vizcaya
    #       QUI:
    #         name: Quirino
    #   '03':
    #     name: Central Luzon
    #     regions:
    #       AUR:
    #         name: Aurora
    #       BAN:
    #         name: Bataan
    #       BUL:
    #         name: Bulacan
    #       NUE:
    #         name: Nueva Ecija
    #       PAM:
    #         name: Pampanga
    #       TAR:
    #         name: Tarlac
    #       ZMB:
    #         name: Zambales
    #   '05':
    #     name: Bicol
    #     regions:
    #       ALB:
    #         name: Albay
    #       CAN:
    #         name: Camarines Norte
    #       CAS:
    #         name: Camarines Sur
    #       CAT:
    #         name: Catanduanes
    #       MAS:
    #         name: Masbate
    #       SOR:
    #         name: Sorsogon
    #   '06':
    #     name: Western Visayas
    #     regions:
    #       AKL:
    #         name: Aklan
    #       ANT:
    #         name: Antique
    #       CAP:
    #         name: Capiz
    #       GUI:
    #         name: Guimaras
    #       ILI:
    #         name: Iloilo
    #       NEC:
    #         name: Negros Occidental
    #   '07':
    #     name: Central Visayas
    #     regions:
    #       BOH:
    #         name: Bohol
    #       CEB:
    #         name: Cebu
    #       NER:
    #         name: Negros Oriental
    #       SIG:
    #         name: Siquijor
    #   08:
    #     name: Eastern Visayas
    #     regions:
    #       BIL:
    #         name: Biliran
    #       EAS:
    #         name: Eastern Samar
    #       LEY:
    #         name: Leyte
    #       NSA:
    #         name: Northern Samar
    #       SLE:
    #         name: Southern Leyte
    #       WSA:
    #         name: Samar
    #   09:
    #     name: Zamboanga Peninsula
    #     regions:
    #       BAS:
    #         name: Basilan
    #       ZAN:
    #         name: Zamboanga del Norte
    #       ZAS:
    #         name: Zamboanga del Sur
    #       ZSI:
    #         name: Zamboanga Sibugay
